package com.ruoyi.biz.service;

import com.ruoyi.biz.domain.ArUser;
import com.ruoyi.biz.domain.vo.ArUserVo;
import com.ruoyi.biz.domain.bo.ArUserBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 用户Service接口
 *
 * @author ruoyi
 * @date 2023-06-27
 */
public interface IArUserService {

    /**
     * 查询用户
     */
    ArUserVo queryById(Long id);

    /**
     * 查询用户列表
     */
    TableDataInfo<ArUserVo> queryPageList(ArUserBo bo, PageQuery pageQuery);

    /**
     * 查询用户列表
     */
    List<ArUserVo> queryList(ArUserBo bo);

    /**
     * 新增用户
     */
    Boolean insertByBo(ArUserBo bo);

    /**
     * 修改用户
     */
    Boolean updateByBo(ArUserBo bo);

    /**
     * 校验并批量删除用户信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    Map<String, Object> findUser(String name, String image, String openId);
}
